package com.bocloud.ims.interfaces.resource.azure.network;

import com.bocloud.cmp.params.azure.CloudRedisOperationParams;
import com.bocloud.cmp.params.azure.RouterTableOperationParams;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.Subnet;
import com.bocloud.ims.entity.resource.azure.network.RouterTable;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: RouterTableService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/1/5 10:12
 */
public interface RouterTableService {

    BocloudResult<GridBean<RouterTable>> list(Pager pager, RequestContext context);

    BocloudResult<RouterTable> detail(Long id, RequestContext context);

    BocloudResult<Void> modify(RouterTable entityParams, RequestContext context);

    BocloudResult<Void> create(RouterTable entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    BocloudResult<Void> operations(RouterTableOperationParams params, RequestContext context);

    BocloudResult<List<Subnet>> unbindSubnet(Long id, RequestContext context);
}